lp:ubuntu/lucid/gnome-desktop-sharp2

Created by James Westby on 2009-12-05 and last modified on 2010-02-08
Get this branch:
bzr branch lp:ubuntu/lucid/gnome-desktop-sharp2
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Development

Recent revisions

14. By Chris Halse Rogers on 2010-02-06

* debian/patches/04_update_for_gnomedesktop_SONAME:
  + Update dllmap for libgnome-desktop SONAME bump in Lucid. (LP: #516920)

13. By Chris Halse Rogers on 2010-01-07

[ Jo Shields ]
* debian/lib*.install,
  debian/control:
  + Add new unversioned and API-versioned -dev packages containing pkg-config
    and gapi files
* debian/rules,
  debian/*.links:
  + Stop renaming and moving pkg-config files from upstream names, since
    we can better control the ABI question with -dev packages and it
    doesn't make things any easier for users
* debian/libgnomeprint*,
  debian/control:
  + Kill libgnomeprint-cil (Closes: #542560)
* debian/control:
  + Use mono-devel 2.4.3 and eliminate individual mono library build-depends
  + Use unversioned -dev packages for GNOME# and Gtk#
  + Add a Conflicts: to libgnome-cil (Closes: #525809)
  + Explicitly add Depends: for -dev packages to pull in their pcfile's
    Requires: lines (Closes: #521118)

[ Christopher James Halse Rogers ]
* debian/ltmain-add-as-needed.patch
  + Add --as-needed magic to ltmain.sh
* debian/rules:
  + Apply ltmain-add-as-needed.patch after running autoreconf. This should
    be more robust than copying a patched ltmain.sh from debian/ as ltmain.sh
    is required to be versioned in lock-step with the rest of libtool.

12. By Jo Shields on 2009-09-25

* New upstream release
* debian/libnautilusburn2.20-cil.*,
  debian/control:
  + Remove libnautilusburn2.20-cil and build-deps, obsoleted in GNOME
  + Add myself to Uploaders
* debian/patches/01_dllmaps.dpatch:
  + Refresh to remove nautilusburn reference and SONAME change
* debian/rules:
  + Add a get-orig-source rule
  + Bump API version to 2.26
  + Stop renaming the nautilusburn pcfile
* debian/rules,
  debian/control:
  + Switch compiler to mono-csc for Mono 2.4.2 transition
  + Ensure minimum mono-devel version is 2.4.2
* debian/control:
  + Update to Standards 3.8.3 (no changes)
  + Fix spelling error Gnome -> GNOME
  + Change section to cli-mono to appease Debian overlords
* debian/changelog:
  + Change encoding to UTF-8
* debian/copyright:
  + Update FSF address
* debian/watch:
  + Remove troublesome uupdate command
* debian/patches/02_gtkhtml-version.dpatch,
* debian/patches/03_fix_pkg-config_paths.dpatch,
* debian/patches/01_dllmaps.dpatch:
  + Ensure patches all carry a valid description
* debian/README.source:
  + Include a pointer to dpatch docs

11. By Mirco Bauer on 2009-05-21

* debian/patches/03_fix_pkg-config_paths.dpatch:
  + Fix library path of rsvg2-sharp-2.18.
  + Replaced idiotic prefix ${pcfiledir}/../.. with @prefix@.

10. By Jo Shields <email address hidden> on 2009-05-12

No-change rebuild to properly build-depend on Karmic's version of
GNOME# (which reverted a broken ABI bump). This fixes
uninstallability of libgnomeprint2.18-cil (LP: #375365)

9. By Pedro Fragoso on 2009-01-20

* Sync with Debian (LP: #317344)
* Add Build-dep on libgnomeprintui2.2-dev
* Install the upstream changelog in the gnome-desktop-sharp2
  package only
* debian/patches/02_gnomedesktop_dllmap
  + Actually map the new libgnome-desktop-2-11 lib. Fixes
    the dependency generation and library use.

8. By Stefan Ebner on 2009-01-07

* Rebuild for gnome-sharp2 transition (LP: #314516)
* debian/control:
  Replace libgnome2.0-cil with libgnome2.24-cil and bump versioning

7. By Stefan Ebner on 2008-12-19

* Rebuild for libgnome-desktop-2-7 -> libgnome-desktop-2-11
  transition. (LP: #309529)
- debian/patches/02_gnomedesktop_dllmap
  + Actually map the new libgnome-desktop-2-11 lib. Fixes
    the dependency generation and library use.

6. By Steve Langasek on 2008-12-18

* debian/rules: pass CSC=/usr/bin/csc to configure, for the mono 2.0
  transition
* debian/control: update the build-dependencies for mono 2.0.
* debian/rules: set MONO_CAIRO_LIBS=-r:Mono.Cairo to manually provide
  Mono.Cairo build information (instead of using the 1.0-only pkg-config
  entry)

5. By Chris Halse Rogers on 2008-10-09

* debian/patches/02_gnomedesktop_dllmap
  + Actually map the new libgnome-desktop-2-7 lib. Fixes
    the dependency generation and library use (LP: #280365).

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/maverick/gnome-desktop-sharp2
This branch contains Public information 
Everyone can see this information.

Subscribers